Bug 1309279 - On un-registering a content-host from webUI, UI raises misleading notification
On un-registering a content-host from webUI, UI raises misleading notification
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 06:29 EST by Sachin Ghai
Modified: 2017-03-13 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-13 16:16:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
misleading notification (40.74 KB, image/png)
2016-02-17 06:29 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13754 None None None 2016-04-22 12:38 EDT

  None (edit)
Description Sachin Ghai 2016-02-17 06:29:37 EST
Created attachment 1127916 [details]
misleading notification

Description of problem:
On Un-registering a content host from webUI, UI raises notification:

Content Host <hostname> has been deleted. 

However, content-host is not deleted actually, it just got unregistered. So notification should say:

Content Host <hostname> has been un-registered succesfully

Version-Release number of selected component (if applicable):
foreman-release-1.11.0-0.develop.201602111150gitf6014fb.el7.noarch
katello-installer-2.5.0-1.nightly.201602120122git5f95a31.el7.noarch
katello-2.5.0-4.nightly.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. un-register a content-host and see the notification on webUI
2.
3.

Actual results:
UI raises notification, on un-registering a host

Content Host <hostname> has been deleted. 


Expected results:
on un-registering a host, notification should be like:

Content Host <hostname> has been un-registered succesfully

Additional info:
Comment 1 Sachin Ghai 2016-02-17 06:30:23 EST
Created redmine issue http://projects.theforeman.org/issues/13754 from this bug
Comment 3 Bryan Kearney 2016-02-17 08:06:27 EST
Upstream bug component is Content Management
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:35:59 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2017-03-13 16:16:42 EDT
This has been copied to an issue upstream. When the upstream issue is fixed, the next version of satellite will contain it. We will no longer track this downstream.

Note You need to log in before you can comment on or make changes to this bug.